% Ambiente de simulao grfica para a organizao de famlias
% Desenvolvido por Guilherme Novaes Ramos e Alvaro Michel Tamayo

% Disciplina: SIM - Sistemas Integrados de Manufatura
% Prof. Alberto J. Alvares

% Departamento de Engenharia Mecnica
% Faculdade de Tecnologia
% Universidade de Braslia

% Arquivo Parametros.m
% Abre uma nova janela para definio dos parmetros da MI

% Abre a janela de parmetros
janela_parametro = figure(...
   'Unit','normalized',...
   'Visible','on',...
   'NumberTitle','off',...
   'Position',[0.25 0.425 0.5 0.15],...
   'Name','Parmetros da Nova Matriz de Incidncia',...
   'Pointer','arrow');
set(0,'Current',janela_parametro);

% Cria as reas de texto
jp_linha_texto = uicontrol(...
   'Parent',janela_parametro,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.7 0.4 0.19],...
   'Horizontal','left',...
   'String','Linhas:');
jp_linha_prompt = uicontrol(...
   'Parent',janela_parametro,...
   'Style','edit',...
   'Units','normalized',...
   'Position',[0.4 0.7 0.5 0.19],...
   'Horizontal','left',...
   'String',' ');

jp_coluna_text = uicontrol(...
   'Parent',janela_parametro,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.45 0.3 0.19],...
   'Horizontal','left',...
   'String','Colunas:');
jp_coluna_prompt = uicontrol(...
   'Parent',janela_parametro,...
   'Style','edit',...
   'Units','normalized',...
   'Position',[0.4 0.45 0.5 0.19],...
   'Horizontal','left',...
   'String',' ');

% Monta o texto e preenche as reas de texto com os valores atuais dos parmetros
set(jp_coluna_prompt,'string',coluna);
set(jp_linha_prompt,'string',linha);

% Cria botes de comandos para aceitar, cancelar ou utilizar o exemplo
callAceita = [...
      'coluna=str2num(get(jp_coluna_prompt,''String''));'...
      'linha=str2num(get(jp_linha_prompt,''String''));'...
      'close(janela_parametro);'...
      'Teste_LC;'... 
      'Mostra_MI(MI);'...   
   ];
uiAceita = uicontrol(...
   'Style','push',...
   'Units','normalized',...
   'Position',[0.1 0.06 0.2 0.3],...
   'String','Aceita',...
   'Callback',callAceita...
   );

callCancela = [...
      'close(janela_parametro);'...
   ];
uiCancela = uicontrol(...
   'Style','push',...
   'Units','normalized',...
   'Position',[0.4 0.06 0.2 0.3],...
   'String','Cancela',...
   'Callback',callCancela...
   );

callExemplo = [...
      'coluna=length(MI_exemplo(1,:));'...
      'linha=length(MI_exemplo(:,1));'...
      'Maquina=(1:linha).'';'...
      'Peca=1:coluna;'...
      'set(jp_coluna_prompt,''string'',coluna);'...
      'set(jp_linha_prompt,''string'',linha);'...
      'MI=MI_exemplo;'...
      'close(janela_parametro);'...
      'Mostra_MI(MI);'...
   ];
uiExemplo = uicontrol(...
   'Style','push',...
   'Units','normalized',...
   'Position',[0.7 0.06 0.2 0.3],...
   'String','Exemplo',...
   'Callback',callExemplo...
   );