% Ambiente de simulao grfica para a organizao de famlias
% Desenvolvido por Guilherme Novaes Ramos e Alvaro Michel Tamayo

% Disciplina: SIM - Sistemas Integrados de Manufatura
% Prof. Alberto J. Alvares

% Departamento de Engenharia Mecnica
% Faculdade de Tecnologia
% Universidade de Braslia

% Arquivo Teste_End.m
% Testa se o endereo fornecido para abrir/salvar assim como a MI so vlidos


% retira os espaos do diretrio
aux=findstr(diretorio,' ');
for i=1:length(aux)
    diretorio(aux(i))=[];
    aux=aux-1;
end;
% retira os espaos do arquivo
aux=findstr(arquivo,' ');
for i=1:length(aux)          
    arquivo(aux(i))=[];    
    aux=aux-1;
end;

Falha=0;
% teste de validade do endereo fornecido
if exist(diretorio)==7 
   
   if diretorio(length(diretorio))~='\'
      diretorio=strcat(diretorio,'\');
   end;
   
   % teste da operao a ser executada
   if abrir       
      
      % teste da validade do endereo fornecido
      if exist(arquivo)==2       
                
         % abrir o arquivo para leitura
         arquivo=strcat(diretorio,arquivo);
         origem=fopen(arquivo,'r');
         
         M=fread(origem);
         fclose(origem);
         
         % retira os caracteres indesejados
         for linha=length(M):-1:1
            if M(linha)~=48 & M(linha)~=49
               M(linha)=[];
            else
               break;
            end;
         end;

         % retira espaos e caracters de tabulao e "carrier return"
         for linha=length(M):-1:1
            switch M(linha,1)
            case {9,13,32}
               M(linha)=[];
            case 10
               if M(linha-1)==10
                  M(linha)=[];
               end;
            end;
         end;
         
         %torna a matriz de tamanho adequado para ser re-dimensionada
         if rem(length(M),2)==1
            M=[M;10];
         end;
         
         for coluna=1:length(M)
            if M(coluna,1)==10
               break;
            end;
         end;
         
         if rem(length(M),coluna)~=0
             Falha=1;
             Erro='Erro: Matriz Invlida';                
             Msg_Erro01='Dimenses Invlidas!';
             Msg_Erro02='A matriz do arquivo especificado no  retangular.'; 
         else             
             clear MI;   
             clear Maquina;
             clear Peca;
             
             linha=length(M)/coluna;
             M=reshape(M,coluna,linha);
             M(coluna,:)=[];
             coluna=coluna-1;
             M=M.';      
        
             if ~isempty(findstr(num2str(M(1,:)),'2'))
                 aux=char(M(1,:));
                 for i=2:length(aux)
                     Peca(i-1)=str2num(aux(i));
                 end;
                 aux=char(M(:,1));
                 for i=2:length(aux)
                     Maquina(i-1,1)=str2num(aux(i));
                 end;
                 M(1,:)=[];
                 M(:,1)=[];
                 linha=linha-1;
                 coluna=coluna-1;
             else
                 Maquina=(1:linha).';
                 Peca=1:coluna;
             end;
             
             for i=1:linha
                 for j=1:coluna
                     MI(i,j)=str2num(char(M(i,j)));
                 end;
             end;
         end; %if rem(length(M),coluna)~=0
      % endereo incorreto
      else 
            Falha=1;
            Erro='Erro: Endereo Incorreto';
            Msg_Erro01='Endereo Invlido!';
            Msg_Erro02='O arquivo especificado no existe.';
      end; %if exist(arquivo)
      
   % se for para salvar em arquivo
   else 
            
      if isempty(findstr(arquivo,'.'))
         arquivo=strcat(arquivo,'.txt');
      end;
      
      if exist(strcat(diretorio,arquivo))==2
           % Abre a janela de aviso   
           janela_aviso = figure(...
                'Unit','normalized',...
                'Visible','on',...
                'NumberTitle','off',...
                'Position',[0.25 0.3 0.5 0.25],...
                'Name','Arquivo Existente',...
                'Pointer','arrow');   
            set(0,'Current',janela_aviso);
   
            % Cria as reas de texto
            uiTexto01 = uicontrol(...
                'Parent',janela_aviso,...
                'Style','text',...
                'Units','normalized',...
                'Position',[0 0.6 1 0.4],...
                'FontName','Helvetica',...
                'FontWeight','bold',...
                'FontSize',20,...
                'String','O arquivo j existe!');
            uiTexto02 = uicontrol(...
                'Parent',janela_aviso,...
                'Style','text',...
                'Units','normalized',...
                'Position',[0 0 1 0.6],...
                'FontName','Helvetica',...
                'FontWeight','bold',...
                'String','O arquivo especificado j existe.');
  
            % Cria os botes
            callSobrescrever = [...
                'close(janela_aviso);'...
                'delete(strcat(diretorio,arquivo));'...
                'Teste_End;'];
            uiContinua = uicontrol(...
                'Style','push',...
                'Units','normalized',...
                'Position',[0.15 0.06 0.3 0.2],...
                'String','Sobrescrever',...
                'Callback',callSobrescrever);
            
            callCancelar = [...
                'close(janela_aviso);'];
            uiCancelar = uicontrol(...
                'Style','push',...
                'Units','normalized',...
                'Position',[0.55 0.06 0.3 0.2],...
                'String','Cancelar',...
                'Callback',callCancelar);
        else 
            arquivo=strcat(diretorio,arquivo);
            destino=fopen(arquivo,'w');
            
            A=[0 Peca; Maquina MI];
            
            for i=1:linha+1
                aux='%d';
                for j=1:coluna
                    aux=strcat(aux,' %d');
                end;
                fprintf(destino,strcat(aux,'\n'),A(i,:));
            end;
            
            clear A;           

            fclose(destino);
        end; %if exist(arquivo==2
    end; %if abrir   
else
   Falha=1;
   Erro='Erro: Endereo Incorreto';
   Msg_Erro01='Endereo Invlido!';
   Msg_Erro02='O diretrio especificado no existe.';
end; %if exist(diretorio)   

if Falha   
   % Abre a janela de aviso   
   janela_aviso = figure(...
      'Unit','normalized',...
      'Visible','on',...
      'NumberTitle','off',...
      'Position',[0.25 0.3 0.5 0.25],...
      'Name',Erro,...
      'Pointer','arrow');
   set(0,'Current',janela_aviso);
   
   % Cria as reas de texto
   uiTexto01 = uicontrol(...
      'Parent',janela_aviso,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0 0.6 1 0.4],...
      'FontName','Helvetica',...
      'FontWeight','bold',...
      'FontSize',20,...
      'String',Msg_Erro01);
   uiTexto02 = uicontrol(...
      'Parent',janela_aviso,...
      'Style','text',...
      'Units','normalized',...
      'Position',[0 0 1 0.6],...
      'FontName','Helvetica',...
      'FontWeight','bold',...
      'String',Msg_Erro02);
   
   % Cria o boto
   callContinua = [...
         'close(janela_aviso);'];
   uiContinua = uicontrol(...
      'Style','push',...
      'Units','normalized',...
      'Position',[0.3 0.06 0.4 0.2],...
      'String','Continua',...
      'Callback',callContinua);
end; %if Falha