% Ambiente de simulao grfica para a organizao de famlias
% Desenvolvido por Guilherme Novaes Ramos e Alvaro Michel Tamayo

% Disciplina: SIM - Sistemas Integrados de Manufatura
% Prof. Alberto J. Alvares

% Departamento de Engenharia Mecnica
% Faculdade de Tecnologia
% Universidade de Braslia

% Arquivo Vetores.m
% Mostra a ordenao das Mquinas e Peas na Matriz de Incidncia

% Baseada na funo PLTMAT.M

janela_vetores=figure(...
   'Unit','normalized',...
   'Visible','on',...
   'NumberTitle','off',...
   'Position',[0.15 0.15 0.7 0.7],...
   'Name','Matriz de Incidncia',...
   'Pointer','arrow');
set(0,'Current',janela_vetores);


aux=[0 Peca; Maquina MI];

for cont_L=1:linha+1,
   % Index over number of columns
   for cont_C=1:coluna+1,
      Num=num2str(aux(cont_L,cont_C));
      
      if cont_C==1 | cont_L==1
         Cor='r';
      else
         Cor='k';
      end;
      
      text(cont_C-.5,linha+1-cont_L+.5,Num, ...
         'HorizontalAlignment','center', ...
         'Color',Cor, ...
         'FontWeight','bold', ...
         'FontSize',11);
   end;
end;

set(gca,'Box','on', ...
   'Visible','on', ...
   'xLim',[0 coluna+1], ...
   'xGrid','on', ...
   'xTickLabel',[], ...
   'xTick',0:coluna+1, ...
   'yGrid','on', ...
   'yLim',[0 linha+1], ...
   'yTickLabel',[], ...
   'yTick',0:linha+1, ...
   'DataAspectRatio',[1, 1, 1], ... 
   'GridLineStyle',':', ...
   'LineWidth',3, ...
   'XColor','k', ...
   'YColor','k');

title('Peas');
ylabel('Mquinas');

if imprimir
   print -dsetup;
   print -dwin;
   imprimir=0;
   close;
else
   % Cria comandos para continuar
   callContinua = ['close;'];
   
   uiContinua = uicontrol(...
      'Style','push',...
      'Units','normalized',...
      'Position',[0.4 0.01 0.2 0.08],...
      'String','Continua',...
      'Callback',callContinua);
end;
