% Ambiente de simulao grfica para a organizao de famlias
% Desenvolvido por Guilherme Novaes Ramos e Alvaro Michel Tamayo

% Disciplina: SIM - Sistemas Integrados de Manufatura
% Prof. Alberto J. Alvares

% Departamento de Engenharia Mecnica
% Faculdade de Tecnologia
% Universidade de Braslia

% Arquivo Main.m
% Abre a janela principal do controle

% Emite mensagem de inicializao do ambiente
disp('Inicializando o ambiente, por favor aguarde...');
disp(' ');

% Inicializa as constantes
% Matriz exemplo
MI_exemplo=[
   1 1 0 1 0 0 0 1 0
   0 0 0 0 1 0 0 0 1
   0 0 1 0 1 0 0 0 1
   0 1 0 1 0 1 0 0 0
   1 0 0 0 0 0 0 1 0
   0 0 1 0 0 0 0 0 1
   0 1 0 0 0 1 1 0 0];

% Atribui valores iniciais para a MI
MI=[1 0 0 0 1 0 0 0 0 0 1 0
    1 1 0 1 1 0 0 0 0 1 1 1
    1 0 1 0 1 0 0 1 0 0 1 0
    1 0 0 0 1 0 1 1 1 0 1 0
    1 0 0 0 1 0 1 0 1 0 1 1
    0 0 0 0 0 0 0 0 0 0 0 0
    1 1 1 0 0 1 1 1 0 1 1 1
    1 0 0 1 0 1 0 1 0 1 0 0
    1 0 0 1 0 1 0 1 0 1 0 0
    1 1 1 0 0 1 0 1 0 1 0 0
    1 0 1 0 0 1 0 1 0 1 0 0
    1 0 0 1 0 1 1 1 0 1 1 1];
[linha,coluna]=size(MI);
Maquina=(1:linha).';
Peca=1:coluna;
imprimir=0;

% Abre a janela de interface grfica
interface_grafica = figure(...
   'Unit','normalized',...
   'NextPlot','add',...
   'Visible','on',...
   'NumberTitle','off',...
   'Position',[0.01,0.05,0.98,0.88],... 
   'Name','Formao de FMC''s - Algoritmo ROC',...
   'Pointer','arrow');
set(0,'Current',interface_grafica);

% Cria "eixos" para vrias funes
eixos = axes(...
   'Units','normalized',...
   'Position',[.06 .07 .65 .85]);

% Mostra a MI
Mostra_MI(MI);

% Boto de comando para criar uma nova MI
callNova_MI = [...
      'Parametros;'];
uiNova_MI = uicontrol(...
   'Style','push',...
   'Units','normalized',...
   'Position',[0.76 0.8 0.2 0.1],...
   'String','Nova MI',...
   'Callback',callNova_MI);

% Boto de comando para ordenar a MI
callOrd_MI = [...
      'Ordenacao;'...
      'Mostra_MI(MI);'];
uiOrd_MI = uicontrol(...
   'Style','push',...
   'Units','normalized',...
   'Position',[0.76 0.7 0.2 0.1],...
   'String','Ordenar MI',...
   'Callback',callOrd_MI);

% Boto de comando para visualisar a ordem dos vetores Mquina e Pea
callOrd_Vet = [...
      'Vetores;'];
uiOrd_Vet = uicontrol(...
   'Style','push',...
   'Units','normalized',...
   'Position',[0.76 0.6 0.2 0.1],...
   'String','Vetores',...
   'Callback',callOrd_Vet);

% Boto de comando para salvar a MI em um arquivo
callSalvar = [...
      'abrir=0;'...
      'Abrir_Salvar;'];
uiSalvar = uicontrol(...
   'Style','push',...
   'Units','normalized',...
   'Position',[0.76 0.5 0.2 0.1],...
   'String','Salvar',...
   'Callback',callSalvar);

% Boto de comando para Abrir a MI de um arquivo
callAbrir = [...
      'abrir=1;'...
      'Abrir_Salvar;'];
uiAbrir = uicontrol(...
   'Style','push',...
   'Units','normalized',...
   'Position',[0.76 0.4 0.2 0.1],...
   'String','Abrir',...
   'Callback',callAbrir);


% Boto de comando imprimir a MI
callImprimir = [...
      'imprimir=1;'...
      'Vetores;'];
uiImprimir = uicontrol(...
   'Style','push',...
   'Units','normalized',...
   'Position',[0.76 0.3 0.2 0.1],...
   'String','Imprimir',...
   'Callback',callImprimir);

% Boto para ajuda
callAjuda = [...
      'Ajuda;'];
uiAjuda = uicontrol(...
   'Style','push',...
   'Units','normalized',...
   'Position',[0.76 0.2 0.2 0.1],...
   'String','Ajuda',...
   'Callback',callAjuda);

% Boto de comando para sair do programa
callSair = [...
      'close all;'...
      'clc;'...
      'clear;'];
uiSair = uicontrol(...
   'Style','push',...
   'Units','normalized',...
   'Position',[0.76 0.1 0.2 0.1],...
   'String','Sair',...
   'Callback',callSair);