% Ambiente de simulao grfica para a organizao de famlias
% Desenvolvido por Guilherme Novaes Ramos e Alvaro Michel Tamayo
% Disciplina: SIM - Sistemas Integrados de Manufatura
% Prof. Alberto J. Alvares

% Arquivo main2_roc.m
% Inicializa o ambiente

% Emite mensagem de inicializao do ambiente
disp('Inicializando o ambiente, por favor aguarde...');
disp(' ');

% Inicializa as constantes
const_roc;

% Abre a janela de interface grfica
interface_grafica = figure(...
   'Unit','normalized',...
   'NextPlot','add',...
   'Visible','on',...
   'NumberTitle','off',...
   'Position',[0.01,0.05,0.98,0.88],... 
   'Name','Formao de FMC''s - Algoritmo ROC',...
   'Pointer','arrow'...
   );
set(0,'Current',interface_grafica...
   );

% Cria "eixos" para vrias funes
eixos = axes(...
   'Units','normalized',...
   'Position',[.06 .07 .65 .85]...
   );

% Mostra a MI
mostra_MI_roc;

% Boto de comando para criar uma nova MI
callNova_MI = [...
   'parametros_roc;'...
   ];
uiNova_MI = uicontrol(...
   'Style','push',...
   'Units','normalized',...
   'Position',[0.76 0.8 0.2 0.1],...
   'String','Nova MI',...
   'Callback',callNova_MI...
   );

% Boto de comando para ordenar a MI
callOrd_MI = [...
      'ordena_MI_roc;'...
   ];
uiOrd_MI = uicontrol(...
   'Style','push',...
   'Units','normalized',...
   'Position',[0.76 0.7 0.2 0.1],...
   'String','Ordenar MI',...
   'Callback',callOrd_MI...
   );

% Boto de comando para visualisar a ordem dos vetores Mquina e Pea
callOrd_Vet = [...
      'mostra_vet_roc([0 Peca ; Maquina MI],''Pea'',''k'',10);'...
   ];
uiOrd_Vet = uicontrol(...
   'Style','push',...
   'Units','normalized',...
   'Position',[0.76 0.6 0.2 0.1],...
   'String','Vetores',...
   'Callback',callOrd_Vet...
   );

% Boto de comando para salvar a MI em um arquivo
callSalvar = [...
      'abrir=0;'...
      'abre_salva_MI_roc;'...
   ];
uiSalvar = uicontrol(...
   'Style','push',...
   'Units','normalized',...
   'Position',[0.76 0.5 0.2 0.1],...
   'String','Salvar',...
   'Callback',callSalvar...
   );

% Boto de comando para Abrir a MI de um arquivo
callAbrir = [...
      'abrir=1;'...
      'abre_salva_MI_roc;'...
   ];
uiAbrir = uicontrol(...
   'Style','push',...
   'Units','normalized',...
   'Position',[0.76 0.4 0.2 0.1],...
   'String','Abrir',...
   'Callback',callAbrir...
   );


% Boto de comando imprimir a MI
callImprimir = [...
      'imprimir_roc([0 Peca ; Maquina MI],''Pea'',''k'',10);'...
   ];
uiImprimir = uicontrol(...
   'Style','push',...
   'Units','normalized',...
   'Position',[0.76 0.3 0.2 0.1],...
   'String','Imprimir',...
   'Callback',callImprimir...
   );

% Boto para ajuda
callHelp = [...
      'ajuda_roc;'...
   ];
uiHelp = uicontrol(...
   'Style','push',...
   'Units','normalized',...
   'Position',[0.76 0.2 0.2 0.1],...
   'String','Ajuda',...
   'Callback',callHelp...
   );

% Boto de comando para sair do programa
callSair = [...
      'close all;'...
      'clc;'...
      'clear;'...
      'return;'...
   ];
uiSair = uicontrol(...
   'Style','push',...
   'Units','normalized',...
   'Position',[0.76 0.1 0.2 0.1],...
   'String','Sair',...
   'Callback',callSair...
   );