function pltmat(a,matrixName,gridColor,fontSize);
% Ambiente de simulao grfica para a organizao de famlias
% Desenvolvido por Guilherme Novaes Ramos e Alvaro Michel Tamayo
% Disciplina: SIM - Sistemas Integrados de Manufatura
% Prof. Alberto J. Alvares

% Arquivo mostra_vet_roc.m
% Abre uma nova janela para apresentao da ordem dos vetores Mquina e Pea da MI

%PLTMAT Display a matrix in a figure window.
%   PLTMAT(X,matrixName,gridColor,fontSize) takes
%   the matrix X and displays it using gridColor for the
%   XColor and YColor, fontSize for the FontSize of each
%   matrix element, and matrixName as the title for the 
%   plot. 

%   Ned Gulley, Denise Chen; June 1993.
%   Copyright (c) 1984-96 by The MathWorks, Inc.
%   $Revision: 5.3 $  $Date: 1996/09/11 14:38:25 $

% Clear the current axis
figure;
cla reset;
[m,n]=size(a);

% Place the text in the correct locations
% Index over number of rows
for rowCnt=1:m,
   % Index over number of columns
   for colCnt=1:n,
      numberString=num2str(a(rowCnt,colCnt));
      text(colCnt-.5,m-rowCnt+.5,numberString, ...
         'HorizontalAlignment','center', ...
         'Color','k', ...
         'FontWeight','bold', ...
         'FontSize',fontSize);
   end;
end;

set(gca,'Box','on', ...
   'Visible','on', ...
   'xLim',[0 n], ...
   'xGrid','on', ...
   'xTickLabel',[], ...
   'xTick',0:n, ...
   'yGrid','on', ...
   'yLim',[0 m], ...
   'yTickLabel',[], ...
   'yTick',0:m, ...
   'DataAspectRatio',[1, 1, 1], ... 
'GridLineStyle',':', ...
   'LineWidth',3, ...
   'XColor',gridColor, ...
   'YColor',gridColor);

title(matrixName);
ylabel('Mquina');

% Cria comandos para continuar
callContinua = [...
      'close;'...
      'return;'...
   ];
uiContinua = uicontrol(...
   'Style','push',...
   'Units','normalized',...
   'Position',[0.4 0.01 0.2 0.08],...
   'String','Continua',...
   'Callback',callContinua...
   );

if exist('imprimir') 
   if imprimir
      print -dsetup;
      print -dwin;
      imprimir=0;
   end;
end;