% Ambiente de simulao grfica para a organizao de famlias
% Desenvolvido por Guilherme Novaes Ramos e Alvaro Michel Tamayo
% Disciplina: SIM - Sistemas Integrados de Manufatura
% Prof. Alberto J. Alvares

% Arquivo nova_MI_roc.m
% Abre uma nova janela para criar uma Matriz de Incidncia

% Verifica se a janela j foi aberta
Figures = get(0,'Children');
for i = 1:length(Figures),
   if strcmp(get(Figures(i),'Type'),'figure'),
      if strcmp(get(Figures(i),'Name'),'Matriz de Incidncia'), % Janela j foi aberta
         error('A janela de definio de parmetros j est aberta.');
      end;
   end;
end;

% Abre a janela
janela_parametro2 = figure(...
   'Unit','normalized',...
   'Visible','on',...
   'NumberTitle','off',...
   'Position',[0.04 0.1 0.86 0.8],...
   'Name','Matriz de Incidncia',...
   'Pointer','arrow'...
   );
set(0,'Current',janela_parametro2);

eixos2 = axes(...
   'Units','normalized',...
   'Position',[.06 .08 .7 .9]);

% Coleta por meio de interface amigvel dos elementos da MI
colormap([1 1 1;0 0 0]);
a=zeros(linha,coluna);
imagesc(~a);

% Plotagem de uma grade para facilitar a visualizao da MI
hold on;
for i=1:coluna
   plot([i+0.5 i+0.5],[0+0.5 linha+0.5],'k');
end; %for
for i=1:linha
   plot([0+0.5,coluna+0.5],[i+0.5 i+0.5],'k');
end; %for
hold off;
xlabel('Peas');
ylabel('Mquinas');

x=0;
y=0;
xa=1;
ya=1;

% Cria o comando para aceitar a nova MI
callAceita = [...
      'termina=1;'...
      'MI=a;'... 
   ];
uiAceita = uicontrol(...
   'Style','push',...
   'Units','normalized',...
   'Position',[0.8 0.46 0.15 0.08],...
   'String','Aceita',...
   'Callback',callAceita...
   );

termina=0;
while ~termina
   xa=x;
   ya=y;
   [x,y]=ginput(1);
   x=round(x);
   y=round(y);
   if (x>=0 & x<=coluna & y>=0 & y<=linha)
      if a(y,x)
         a(y,x)=0;
      else
         a(y,x)=1;
      end;
      imagesc(a);
      % Plotagem de uma grade para facilitar a visualizao da MI
      hold on;
      for i=1:coluna
         plot([i+0.5 i+0.5],[0+0.5 linha+0.5],'k');
      end; %for
      for i=1:linha
         plot([0+0.5,coluna+0.5],[i+0.5 i+0.5],'k');
      end; %for
      hold off;
      title('Nova MI');
      xlabel('Peas');
      ylabel('Mquinas');
   end; %if
end; %while
close(janela_parametro2);
mostra_MI_roc;
return;