% Ambiente de simulao grfica para a organizao de famlias
% Desenvolvido por Guilherme Novaes Ramos e Alvaro Michel Tamayo
% Disciplina: SIM - Sistemas Integrados de Manufatura
% Prof. Alberto J. Alvares

% Arquivo parametros_roc.m
% Abre uma nova janela para definio dos parmetros da MI

% verifica se a janela j foi aberta
Figures = get(0,'Children');
for i = 1:length(Figures),
   if strcmp(get(Figures(i),'Type'),'figure'),
      if strcmp(get(Figures(i),'Name'),'Parmetros da nova Matriz de Incidncia'),% janela j foi aberta
         error('A janela de definio de parmetros j est aberta.');
      end;
   end;
end;

% Abre a janela de parmetros
janela_parametro = figure(...
   'Unit','normalized',...
   'Visible','on',...
   'NumberTitle','off',...
   'Position',[0.25 0.425 0.5 0.15],...
   'Name','Parmetros da Nova Matriz de Incidncia',...
   'Pointer','arrow'...
   );
set(0,'Current',janela_parametro);

% Cria as reas de texto
jp_linha_texto = uicontrol(...
   'Parent',janela_parametro,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.7 0.4 0.19],...
   'Horizontal','left',...
   'String','Linhas:'...
   );
jp_linha_prompt = uicontrol(...
   'Parent',janela_parametro,...
   'Style','edit',...
   'Units','normalized',...
   'Position',[0.4 0.7 0.5 0.19],...
   'Horizontal','left',...
   'String',' '...
   );

jp_coluna_text = uicontrol(...
   'Parent',janela_parametro,...
   'Style','text',...
   'Units','normalized',...
   'Position',[0.1 0.45 0.3 0.19],...
   'Horizontal','left',...
   'String','Colunas:'...
   );
jp_coluna_prompt = uicontrol(...
   'Parent',janela_parametro,...
   'Style','edit',...
   'Units','normalized',...
   'Position',[0.4 0.45 0.5 0.19],...
   'Horizontal','left',...
   'String',' '...
   );

% Monta o texto e preenche as reas de texto com os valores atuais dos parmetros
monta_texto_roc;

% Cria botes de comandos para aceitar, cancelar ou utilizar um exemplo
callAceita = [...
      'coluna = str2num(get(jp_coluna_prompt,''String''));'...
      'linha = str2num(get(jp_linha_prompt,''String''));'...
      'testa_valor_roc;'... 
      'close(janela_parametro);'...
      'mostra_MI_roc;'...   
      'return;'...
   ];
uiAceita = uicontrol(...
   'Style','push',...
   'Units','normalized',...
   'Position',[0.1 0.06 0.2 0.3],...
   'String','Aceita',...
   'Callback',callAceita...
   );

callCancela = [...
      'close(janela_parametro);'...
      'return;'...
   ];
uiCancela = uicontrol(...
   'Style','push',...
   'Units','normalized',...
   'Position',[0.4 0.06 0.2 0.3],...
   'String','Cancela',...
   'Callback',callCancela...
   );

callExemplo = [...
      'coluna = length(MI_exemplo(1,:));'...
      'linha = length(MI_exemplo(:,1));'...
      'maq_pec_roc;'...
      'monta_texto_roc;'...
      'MI = MI_exemplo;'...
      'close(janela_parametro);'...
      'mostra_MI_roc;'...
      'return;'...
   ];
uiExemplo = uicontrol(...
   'Style','push',...
   'Units','normalized',...
   'Position',[0.7 0.06 0.2 0.3],...
   'String','Exemplo',...
   'Callback',callExemplo...
   );