{--------------------------------------------------------------------}
{                                                                    }
{  Unidade     : SISBALIM  (Programa Principal)                      }
{  Descricao   : Inicializa o sistema e Gerencia a opcao do usuario. }
{  Programador : SSQ                                                 }
{  Data        : 11/04/90                                            }
{                                                                    }
{--------------------------------------------------------------------}

{--------------------------------------------------------------------}
{   Externas :   Conin                                               }
{                Carrega_Tela                                        }
{                Carrega_Rel                                         }
{                DefineJanela                                        }
{                Descompacta                                         }
{                Impr_Msg                                            }
{                Apaga_Campo                                         }
{                Controla_Menu                                       }
{                Get_Out                                             }
{                                                                    }
{   Subrotinas : Tela_de_Apresentacao                                }
{                Inicializacao_Sistema                               }
{                                                                    }
{--------------------------------------------------------------------}

Uses DefVar,Telas6V,U_Global,U_DefLin,U_ExeBal,U_ImpRel,U_DefCar,U_Config,
     Telas6,Telas6R,Telas6C,Telas6J,Telas6J2,DOS,Crt,Graph;

VAR  Opcao  : INTEGER ;

{--------------------------------------------------------------------}
{ Descricao : Exibe no video a tela de apresentacao do sistema       }
{ Programador : SSQ                                                  }
{ Data atualizacao : 29/03/90                                        }
{ Parametro de Entrada : Nenhum                                      }
{ Parametro de Saida   : Nenhum                                      }
{--------------------------------------------------------------------}
PROCEDURE Tela_de_Apresentacao;
VAR
  Dsk          : FILE ;
  Tela         : POINTER ;
  Car          : CHAR ;
  Gd,Gm        : INTEGER ;
  ModoAnterior : INTEGER ;
BEGIN
  DETECTGRAPH (Gd,Gm);
  IF (Gd= EGA) OR (Gd=EGA64) THEN
     BEGIN
       Gd := CGA;
       Gm := CGAHi;
     END;
  ModoAnterior:=LASTMODE;
  INITGRAPH (Gd,Gm,'');
  IF GRAPHRESULT <> GrOk then
    HALT ( 1 ) ;
  ASSIGN ( Dsk,'identif.des' );
  RESET ( Dsk );
  GETMEM(Tela,16128);
  BLOCKREAD( Dsk,Tela^,126);
  CLOSE ( Dsk );
  PUTIMAGE ( 0,0,Tela^,NORMALPUT );
  Car := Conin ;
  FREEMEM(Tela,16128);
  TEXTMODE(ModoAnterior);
  CLOSEGRAPH;
END;   { Tela_de_Apresentacao }

{--------------------------------------------------------------------}
{ Descricao : Inicializa o sistema, carregando o arquivo de configu- }
{             racao, cargos, telas e relatorios,define janelas e     }
{             obtem data do sistema operacional.                     }
{ Programador : SSQ                                                  }
{ Data atualizacao : 05/04/90                                        }
{ Parametro de Entrada : Nenhum                                      }
{ Parametro de Saida   : Nenhum                                      }
{--------------------------------------------------------------------}
PROCEDURE Inicializacao_Sistema;
VAR
  NumTelas      : INTEGER ;
  NumRels       : INTEGER ;
BEGIN
  Obtem_Data;
  Carrega_Configuracao;
  Carrega_Arquivo_Cargos;
  NumTelas:=Carrega_Tela('TELAS.LKD');
  NumRels:= Carrega_Rel('RELATOR.LKD');
  DefineJanela(JanelaNomeLinha,12,39,True);
  DefineJanela(JanelaArquivosDisponiveis,13,14,True);
  DefineJanela(JanelaPrecedencias,5,66,True);
  DefineJanela(JanelaNP,10,1,True);
  DefineJanela(JanelaPercFaltas,13,42,True);
END;  { Inicializacao_Sistema }


{------------------------ PROGRAMA PRINCIPAL ------------------------}
BEGIN
  Inicializacao_Sistema;
  Tela_de_Apresentacao;
  Descompacta(TelaMenuPrincipal);
  IF NOT ExisteCNF THEN
   BEGIN
     Impr_Msg(7,Mensagens[1]);
     DELAY(TempoDelay);
     Apaga_Campo([7]);
   END;
  IF NOT ExisteCAR THEN
   BEGIN
     Impr_Msg(7,Mensagens[18]);
     DELAY(TempoDelay);
     Apaga_Campo([7]);
   END;
  Opcao:=1;
  REPEAT
    Opcao:=Controla_Menu(Opcao,ENTER,ESC);
    CASE Opcao OF
      1 : Configuracao_do_Sistema;
      2 : Definicao_Linha_Montagem;
      3 : Definicao_Cargos;
      4 : Execucao_Balanceamento;
      5 : Impressao_Relatorios;
      -1 : Opcao := 1;
    END; { CASE }
    Descompacta(TelaMenuPrincipal);
  UNTIL Opcao = 6;
  Get_Out;
  DISPOSE (ListaCargos);
  DISPOSE (ResultadoBLM);
  ClrScr;
END.
{----------------------- FIM PROGRAMA PRINCIPAL ---------------------}